#!/bin/sh

if [ $(id -u) -eq 0 ]; then
	echo "Modifying root's desktop configuration is not supported."
	echo "Bye."
	echo
	exit
fi
echo "
This script will modify the current configuration of a Slint 14.2 user
as if Slint 14.2.1 had been installed.

If the initial configuration has already been modified, some automatic
modifications could fail, and some customization be lost.

Instead you could just create a new user and copy in /home/newuser the
files you want to keep from /home/olduser. But then you should also take
care of all the hidden (beginning whith a .) files and directories to
selectively copy in /home/newuser those you want to keep.

Are you ready to modify the configuration of $HOME?
"
printf 'Type "yes" to confirm or just press [Enter] to quit: '
read answer
if [ ! "$answer" = "yes" ] && [ ! "$answer" = "Yes" ] && [ ! "$answer" = "YES" ]; then
	echo "Bye, then."
	exit
fi
( cd $HOME
patch -p6 << 'FINDETEXTE'
diff -ru slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.blackbox/menu slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.blackbox/menu
--- slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.blackbox/menu	2017-01-10 19:36:36.000000000 +0100
+++ slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.blackbox/menu	2017-07-29 13:12:34.000000000 +0200
@@ -57,7 +57,7 @@
   [exec] (File Manager) {exo-open --launch FileManager}
   [exec] (Web Browser) {exo-open --launch WebBrowser}
   [exec] (Mail Reader) {exo-open --launch MailReader}
-  [exec] (Slint Control Center) {qcontrolcenter}
+  [exec] (Dashboard Slint) {qcontrolcenter}
   [include] (~/.blackbox/xdg_menu)
   [exec] (Run...) {xfrun4}
   [workspaces] (Workspaces list)
diff -ru slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.blackbox/menu1 slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.blackbox/menu1
--- slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.blackbox/menu1	2017-01-19 07:18:32.000000000 +0100
+++ slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.blackbox/menu1	2017-07-24 13:27:07.000000000 +0200
@@ -57,4 +57,4 @@
   [exec] (File Manager) {exo-open --launch FileManager}
   [exec] (Web Browser) {exo-open --launch WebBrowser}
   [exec] (Mail Reader) {exo-open --launch MailReader}
-  [exec] (Slint Control Center) {qcontrolcenter}
+  [exec] (Dashboard Slint) {qcontrolcenter}
Seulement dans slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.config: autostart
Seulement dans slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.config/lxpanel: LXDE
diff -ru slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.config/lxpanel/blackbox/panels/panel slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.config/lxpanel/blackbox/panels/panel
--- slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.config/lxpanel/blackbox/panels/panel	2017-01-09 19:22:17.000000000 +0100
+++ slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.config/lxpanel/blackbox/panels/panel	2017-07-21 20:01:58.000000000 +0200
@@ -84,7 +84,7 @@
       id=menu://applications/Internet/exo-mail-reader.desktop
     }
     Button {
-      id=pluma.desktop
+      id=menu://applications/Development/geany.desktop
     }
   }
 }
@@ -184,18 +184,6 @@
   }
 }
 Plugin {
-  type=xkb
-  Config {
-    Model=pc105
-    LayoutsList=fr
-    VariantsList=,
-    ToggleOpt=grp:shift_caps_toggle
-    KeepSysLayouts=0
-    FlagSize=1
-    DisplayType=1
-  }
-}
-Plugin {
   type=kbled
   Config {
     ShowCapsLock=1
diff -ru slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.config/lxpanel/default/panels/panel slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.config/lxpanel/default/panels/panel
--- slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.config/lxpanel/default/panels/panel	2017-01-09 19:22:17.000000000 +0100
+++ slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.config/lxpanel/default/panels/panel	2017-07-21 20:01:58.000000000 +0200
@@ -84,7 +84,7 @@
       id=menu://applications/Internet/exo-mail-reader.desktop
     }
     Button {
-      id=pluma.desktop
+      id=menu://applications/Development/geany.desktop
     }
   }
 }
@@ -184,18 +184,6 @@
   }
 }
 Plugin {
-  type=xkb
-  Config {
-    Model=pc105
-    LayoutsList=fr
-    VariantsList=,
-    ToggleOpt=grp:shift_caps_toggle
-    KeepSysLayouts=0
-    FlagSize=1
-    DisplayType=1
-  }
-}
-Plugin {
   type=kbled
   Config {
     ShowCapsLock=1
diff -ru slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.config/lxpanel/fluxbox/panels/panel slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.config/lxpanel/fluxbox/panels/panel
--- slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.config/lxpanel/fluxbox/panels/panel	2017-01-09 19:22:17.000000000 +0100
+++ slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.config/lxpanel/fluxbox/panels/panel	2017-07-21 20:01:58.000000000 +0200
@@ -84,7 +84,7 @@
       id=menu://applications/Internet/exo-mail-reader.desktop
     }
     Button {
-      id=pluma.desktop
+      id=menu://applications/Development/geany.desktop
     }
   }
 }
@@ -184,18 +184,6 @@
   }
 }
 Plugin {
-  type=xkb
-  Config {
-    Model=pc105
-    LayoutsList=fr
-    VariantsList=,
-    ToggleOpt=grp:shift_caps_toggle
-    KeepSysLayouts=0
-    FlagSize=1
-    DisplayType=1
-  }
-}
-Plugin {
   type=kbled
   Config {
     ShowCapsLock=1
diff -ru slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.config/lxpanel/fvwm2/panels/panel slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.config/lxpanel/fvwm2/panels/panel
--- slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.config/lxpanel/fvwm2/panels/panel	2017-01-09 19:23:17.000000000 +0100
+++ slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.config/lxpanel/fvwm2/panels/panel	2017-07-21 20:01:58.000000000 +0200
@@ -83,7 +83,7 @@
       id=menu://applications/Internet/exo-mail-reader.desktop
     }
     Button {
-      id=menu://applications/Accessories/pluma.desktop
+      id=menu://applications/Development/geany.desktop
     }
   }
 }
@@ -142,19 +142,7 @@
 Plugin {
   type=space
   Config {
-    Size=2
-  }
-}
-Plugin {
-  type=xkb
-  Config {
-    Model=pc105
-    LayoutsList=fr
-    VariantsList=,
-    ToggleOpt=grp:shift_caps_toggle
-    KeepSysLayouts=0
-    FlagSize=1
-    DisplayType=1
+    Size=4
   }
 }
 Plugin {
diff -ru slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.config/lxpanel/twm/panels/panel slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.config/lxpanel/twm/panels/panel
--- slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.config/lxpanel/twm/panels/panel	2017-01-09 19:21:14.000000000 +0100
+++ slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.config/lxpanel/twm/panels/panel	2017-07-21 20:01:58.000000000 +0200
@@ -70,7 +70,7 @@
       id=menu://applications/Internet/exo-mail-reader.desktop
     }
     Button {
-      id=menu://applications/Accessories/pluma.desktop
+      id=menu://applications/Development/geany.desktop
     }
   }
 }
@@ -127,18 +127,6 @@
   }
 }
 Plugin {
-  type=xkb
-  Config {
-    Model=pc105
-    LayoutsList=fr
-    VariantsList=,
-    ToggleOpt=grp:shift_caps_toggle
-    KeepSysLayouts=0
-    FlagSize=1
-    DisplayType=1
-  }
-}
-Plugin {
   type=kbled
   Config {
     ShowCapsLock=1
diff -ru slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.config/lxpanel/wmaker/panels/panel slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.config/lxpanel/wmaker/panels/panel
--- slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.config/lxpanel/wmaker/panels/panel	2017-01-09 19:22:17.000000000 +0100
+++ slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.config/lxpanel/wmaker/panels/panel	2017-07-21 20:01:58.000000000 +0200
@@ -84,7 +84,7 @@
       id=menu://applications/Internet/exo-mail-reader.desktop
     }
     Button {
-      id=pluma.desktop
+      id=menu://applications/Development/geany.desktop
     }
   }
 }
@@ -184,18 +184,6 @@
   }
 }
 Plugin {
-  type=xkb
-  Config {
-    Model=pc105
-    LayoutsList=fr
-    VariantsList=,
-    ToggleOpt=grp:shift_caps_toggle
-    KeepSysLayouts=0
-    FlagSize=1
-    DisplayType=1
-  }
-}
-Plugin {
   type=kbled
   Config {
     ShowCapsLock=1
diff -ru slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.config/menus/lxde-applications.menu slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.config/menus/lxde-applications.menu
--- slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.config/menus/lxde-applications.menu	2016-10-07 17:37:42.000000000 +0200
+++ slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.config/menus/lxde-applications.menu	2017-07-20 19:45:16.000000000 +0200
@@ -173,7 +173,7 @@
         <Filename>exo-mail-reader.desktop</Filename>
         <Separator/>
 		<Menuname>DesktopSettings</Menuname>
-        <Filename>slint-control-center.desktop</Filename>
+        <Filename>qcontrolcenter.desktop</Filename>
 		<Separator/>
 		<Merge type="files"/>
 		<Merge type="menus"/>
diff -ru slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.config/menus/xfce-applications.menu slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.config/menus/xfce-applications.menu
--- slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.config/menus/xfce-applications.menu	2016-10-07 17:29:19.000000000 +0200
+++ slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.config/menus/xfce-applications.menu	2017-07-20 19:43:37.000000000 +0200
@@ -19,7 +19,7 @@
         <Filename>exo-mail-reader.desktop</Filename>
         <Separator/>
         <Menuname>Settings</Menuname>
- 		<Filename>slint-control-center.desktop</Filename>
+ 		<Filename>qcontrolcenter.desktop</Filename>
         <Separator/>
         <Merge type="all"/>
         <Separator/>
Seulement dans slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.config: orage
Seulement dans slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.config: pcmanfm
Seulement dans slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.config/xfce4: desktop
diff -ru slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.config/xfce4/panel/launcher-19/14756025122.desktop slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.config/xfce4/panel/launcher-19/14756025122.desktop
--- slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.config/xfce4/panel/launcher-19/14756025122.desktop	2016-10-25 19:09:17.000000000 +0200
+++ slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.config/xfce4/panel/launcher-19/14756025122.desktop	2017-07-13 23:24:59.000000000 +0200
@@ -1,316 +1,152 @@
 [Desktop Entry]
-Name=Pluma
-Name[am]=ፕሉማ
-Name[ar]=قلم
-Name[ast]=Pluma
-Name[be]=Pluma
-Name[bg]=Текстов редактор - Pluma
-Name[br]=Pluma
-Name[ca]=Pluma
-Name[ca@valencia]=Pluma
-Name[cmn]=Pluma
-Name[cs]=Pluma
-Name[cy]=Pluma
-Name[da]=Pluma
-Name[de]=Pluma
-Name[el]=Pluma
-Name[en_AU]=Pluma
-Name[en_GB]=Pluma
-Name[es]=Pluma
-Name[es_AR]=Pluma
-Name[et]=Pluma
-Name[eu]=Pluma
-Name[fi]=Pluma
-Name[fr]=Pluma
-Name[gl]=Pluma
-Name[he]=עורך הטקסט Pluma
-Name[hr]=Pluma
-Name[hu]=Pluma
-Name[hy]=Pluma
-Name[id]=Pluma
-Name[is]=Pluma
-Name[it]=Pluma
-Name[ja]=Pluma
-Name[kn]=Pluma
-Name[ko]=플루마
-Name[ky]=Pluma
-Name[lt]=Pluma
-Name[lv]=Pluma
-Name[mr]=प्लुमा
-Name[ms]=Pluma
-Name[nb]=Pluma
-Name[nl]=Pluma
-Name[pl]=Pluma
-Name[pms]=Pluma
-Name[pt]=Pluma
-Name[pt_BR]=Pluma
-Name[ro]=Pluma
-Name[ru]=Pluma
-Name[sk]=Pluma
-Name[sl]=Pluma
-Name[sq]=Pluma
-Name[sr]=Плума
-Name[sv]=Pluma
-Name[th]=Pluma
-Name[tr]=Pluma
-Name[uk]=Pluma
-Name[ur]=پلوما
-Name[uz]=Pluma
-Name[zh_CN]=Pluma
-Name[zh_HK]=Pluma
-Name[zh_TW]=Pluma
-GenericName=Text Editor
-GenericName[af]=Teksredigeerder
-GenericName[am]=ጽሁፍ ማረሚያ
-GenericName[ar]=مُحرّر نصوص
-GenericName[as]=টেক্সট সম্পাদক
-GenericName[ast]=Editor de Testu
-GenericName[az]=Mətn Editoru
-GenericName[be]=Тэкставы рэдактар
-GenericName[bg]=Текстов редактор
-GenericName[bn]=টেক্সট সম্পাদক
-GenericName[bn_IN]=টেক্সট এডিটার
-GenericName[br]=Embanner testennoù
-GenericName[bs]=Tekst editor
-GenericName[ca]=Editor de text
-GenericName[ca@valencia]=Editor de text
-GenericName[cmn]=文字編輯器
-GenericName[crh]=Metin Muarriri
-GenericName[cs]=Textový editor
-GenericName[cy]=Golygydd Testun
-GenericName[da]=Tekstredigering
-GenericName[de]=Textbearbeitung
-GenericName[dz]=ཚིག་ཡིག་ཞུན་དགཔ།
-GenericName[el]=Επεξεργαστής κειμένου
-GenericName[en_AU]=Text Editor
-GenericName[en_CA]=Text Editor
-GenericName[en_GB]=Text Editor
-GenericName[eo]=Teksta Redaktilo
-GenericName[es]=Editor de textos
-GenericName[et]=Tekstiredaktor
-GenericName[eu]=Testu-editorea
-GenericName[fa]=ویرایشگر متن
-GenericName[fi]=Tekstimuokkain
-GenericName[fr]=Éditeur de texte
-GenericName[ga]=Eagarthóir Téacs
-GenericName[gl]=Editor de texto
-GenericName[gu]=લખાણ સંપાદક
-GenericName[he]=עורך טקסט
-GenericName[hi]=पाठ संपादक
-GenericName[hr]=Uređivač teksta
-GenericName[hu]=Szövegszerkesztő
-GenericName[hy]=Տեքստի խմբագրիչ
-GenericName[id]=Penyunting Teks
-GenericName[is]=Textaritill
-GenericName[it]=Editor di testo
-GenericName[ja]=テキストエディタ
-GenericName[ka]=ტექსტის რედაქტორი
-GenericName[kk]=Мәтін түзетушісі
-GenericName[kn]=ಪಠ್ಯ ಸಂಪಾದಕ
-GenericName[ko]=텍스트 편집기
-GenericName[ku]=Edîtora Nivîsê
-GenericName[ky]=Текст редактору
-GenericName[la]=Scripta Edere
-GenericName[lt]=Tekstų redaktorius
-GenericName[lv]=Teksta redaktors
-GenericName[mai]=पाठ संपादक
-GenericName[mg]=Fanovana lahabolana
-GenericName[mk]=Уредувач за текст
-GenericName[ml]=എഴുത്തിടം
-GenericName[mn]=Текст боловсруулагч
-GenericName[mr]=पाठ्य संपादक
-GenericName[ms]=Penyunting Teks
-GenericName[nb]=Tekstredigering
-GenericName[nds]=Textbewarker
-GenericName[ne]=पाठ सम्पादक
-GenericName[nl]=Teksteditor
-GenericName[nn]=Tekstredigering
-GenericName[oc]=Editor de tèxt
-GenericName[or]=ପାଠ୍ଯ ସମ୍ପାଦକ
-GenericName[pa]=ਟੈਕਸਟ ਐਡੀਟਰ
-GenericName[pl]=Edytor tekstu
-GenericName[ps]=ليک سمونګر
-GenericName[pt]=Editor de texto
-GenericName[pt_BR]=Editor de texto
-GenericName[ro]=Editor de text
-GenericName[ru]=Текстовый редактор
-GenericName[rw]=Umuhinduzi w'inyandiko
-GenericName[si]=පෙළ සකසනය
-GenericName[sk]=Textový editor
-GenericName[sl]=Urejevalnik besedil
-GenericName[sq]=Editues teksti
-GenericName[sr]=Уређивач текста
-GenericName[sr@latin]=Vilenjakova beležnica
-GenericName[sv]=Textredigerare
-GenericName[ta]=உரை திருத்தி 
-GenericName[te]=పాఠమును సరిచేయునది
-GenericName[th]=เครื่องมือแก้ไขข้อความ
-GenericName[tk]=Metin Editçi
-GenericName[tr]=Metin Düzenleyici
-GenericName[uk]=Текстовий редактор
-GenericName[ur]=متن مدون
-GenericName[uz]=Matn Tahrirchi
-GenericName[vi]=Bộ soạn thảo văn bản
-GenericName[wa]=Aspougneu di tecse
-GenericName[xh]=Umhleli wombhalo
-GenericName[zh_CN]=文本编辑器
-GenericName[zh_HK]=文字編輯器
-GenericName[zh_TW]=文字編輯器
-Comment=Edit text files
-Comment[af]=Redigeer tekslêers
-Comment[am]=የጽሁፍ ፋይሎች ማረሚያ
-Comment[ar]=تحرير الملفات النّصية
-Comment[as]=টেক্সট নথিপত্ৰ সম্পাদনা
-Comment[ast]=Editar ficheros de testu
-Comment[az]=Mətn fayllarını redaktə edin
-Comment[be]=Рэдагаваць тэкставыя файлы
-Comment[bg]=Редактиране на текстови файлове
-Comment[bn]=টেক্সট ফাইল সম্পাদনা করুন
-Comment[bn_IN]=টেক্সট ফাইল সম্পাদনা
-Comment[br]=Embann restroù testenn
-Comment[bs]=Izmijeni tekstualne datoteke
-Comment[ca]=Editeu fitxers de text
-Comment[ca@valencia]=Editeu fitxers de text
-Comment[cmn]=編輯文字檔
-Comment[crh]=Metin dosyelerini tarir et
-Comment[cs]=Úprava textových souborů
-Comment[cy]=Golygu ffeiliau testun
-Comment[da]=Rediger tekstfiler
-Comment[de]=Textdateien bearbeiten
-Comment[dz]=ཚིག་ཡིག་ཡིག་སྣོད་ཚུ་ ཞུན་དག་རྐྱབས་ 
-Comment[el]=Επεξεργασία αρχείων κειμένου
-Comment[en_AU]=Edit text files
-Comment[en_CA]=Edit text files
-Comment[en_GB]=Edit text files
-Comment[eo]=Redakti tekstajn dosierojn
-Comment[es]=Edite archivos de texto
-Comment[et]=Tekstifailide redigeerimine
-Comment[eu]=Editatu testu-fitxategiak
-Comment[fa]=ویرایش پرونده‌های متنی
-Comment[fi]=Muokkaa tekstitiedostoja
-Comment[fr]=Éditer des fichiers texte
-Comment[ga]=Cuir comhaid téacs in eagar
-Comment[gl]=Editar ficheiros de texto
-Comment[gu]=લખાણ ફાઇલોમાં ફેરફાર કરો
-Comment[he]=עריכת קובצי טקסט
-Comment[hi]=पाठ फ़ाइलें संपादित करें
-Comment[hr]=Uređivanje tekstualnih datoteka
-Comment[hu]=Szövegfájlok szerkesztése
-Comment[hy]=Խմբագրել տեքստային ֆայլերը
-Comment[id]=Edit berkas teks
-Comment[is]=Sýsla með textaskrár
-Comment[it]=Modifica file di testo
-Comment[ja]=テキスト形式のファイルを編集します
-Comment[ka]=ტექსტური ფაილების რედაქტირება
-Comment[kk]=Мәтіндік файлдарды түзету
-Comment[kn]=ಪಠ್ಯ ಕಡತಗಳನ್ನು ಸಂಪಾದಿಸು
-Comment[ko]=텍스트 파일을 편집합니다
-Comment[ku]=Pelên nivîsê sererast bike
-Comment[ky]=Текст файлдарын оңдоо
-Comment[lt]=Redaguoti tekstinius failus
-Comment[lv]=Rediģēt teksta failus
-Comment[mai]=पाठ फाइलकेँ संपादित करू
-Comment[mg]=Hanova raki-dahabolana
-Comment[mk]=Уредувај текстуални датотеки
-Comment[ml]=പദാവലി ഫയലുകളില്‍ മാറ്റം വരുത്തുക
-Comment[mn]=Текст файл боловсруулах
-Comment[mr]=मजकूर फाइल्स् संपादीत करा
-Comment[ms]=Sunting fail teks
-Comment[nb]=Rediger tekstfiler
-Comment[nds]=Textdateien bewarken
-Comment[ne]=पाठ फाइल सम्पादन गर्नुहोस्
-Comment[nl]=Tekstbestanden bewerken
-Comment[nn]=Rediger tekstfiler
-Comment[oc]=Editar de fichièrs tèxt
-Comment[or]=ପାଠ୍ଯ ଫାଇଲଗୁଡ଼ିକୁ ସମ୍ପାଦନ କରନ୍ତୁ
-Comment[pa]=ਟੈਕਸਟ ਫਾਇਲਾਂ ਸੋਧੋ
-Comment[pl]=Edytor plików tekstowych
-Comment[pms]=Modifica file ‘d test
-Comment[ps]=ليکن دوتنې سمول
-Comment[pt]=Editar ficheiros de texto
-Comment[pt_BR]=Edite arquivos de texto
-Comment[ro]=Editați fișiere text
-Comment[ru]=Редактор текстовых файлов
-Comment[si]=පෙළ ගොනු සකසන්න
-Comment[sk]=Úprava textových súborov
-Comment[sl]=Urejanje besedilnih datotek
-Comment[sq]=Ndrysho file teksti
-Comment[sr]=Уређујте текстуалне документе
-Comment[sr@latin]=Uređivač tekstualnih dokumenata
-Comment[sv]=Redigera textfiler
-Comment[ta]=உரை கோப்புகளை திருத்தவும் 
-Comment[te]=పాఠ్య దస్త్రములను సరిచేయి
-Comment[th]=แก้ไขแฟ้มข้อความ
-Comment[tk]=Metin faýllary editle
-Comment[tr]=Metin dosyalarını düzenle
-Comment[uk]=Редактор текстових файлів
-Comment[ur]=متن فائلیں مدون کریں
-Comment[uz]=Matnli fayllarni tahrirlash
-Comment[vi]=Soạn thảo tập tin văn bản
-Comment[wa]=Asspougnî des fitchîs tecses
-Comment[xh]=Hlela iifayili zombhalo
-Comment[zh_CN]=编辑文本文件
-Comment[zh_HK]=編輯文字檔
-Comment[zh_TW]=編輯文字檔
-Exec=pluma %U
-Terminal=false
 Type=Application
+Version=1.0
+Name=Geany
+Name[ar]=Geany
+Name[ast]=Geany
+Name[be]=Geany
+Name[bg]=Geany
+Name[ca]=Geany
+Name[cs]=Geany
+Name[de]=Geany
+Name[el]=Geany
+Name[en_GB]=Geany
+Name[es]=Geany
+Name[et]=Geany
+Name[eu]=Geany
+Name[fa]=Geany
+Name[fi]=Geany
+Name[fr]=Geany
+Name[gl]=Geany
+Name[he]=Geany
+Name[hi]=जीनि
+Name[hu]=Geany
+Name[id]=Geany
+Name[it]=Geany
+Name[ja]=Geany
+Name[kk]=Geany
+Name[ko]=지니
+Name[lb]=Geany
+Name[lt]=Geany
+Name[mn]=Жиени
+Name[nl]=Geany
+Name[nn]=Geany
+Name[pl]=Geany
+Name[pt]=Geany
+Name[pt_BR]=Geany
+Name[ro]=Geany
+Name[ru]=Geany
+Name[sk]=Geany
+Name[sl]=Geany
+Name[sr]=Geany
+Name[sv]=Geany
+Name[tr]=Geany
+Name[uk]=Geany
+Name[vi]=Geany
+Name[zh_CN]=Geany
+Name[zh_TW]=Geany
+GenericName=Integrated Development Environment
+GenericName[ar]=بيئة التطوير المتكاملة
+GenericName[ast]=Entornu Integráu de Desarrollu
+GenericName[be]=Інтэграванае асяроддзе распрацоўкі
+GenericName[bg]=Вградена среда за разработка
+GenericName[ca]=Entorn Integrat de Desenvolupament
+GenericName[cs]=Integrované vývojové prostředí
+GenericName[de]=Integrierte Entwicklungsumgebung
+GenericName[el]=Ενιαίο Περιβάλλον Ανάπτυξης
+GenericName[en_GB]=Integrated Development Environment
+GenericName[es]=Entorno de desarrollo integrado
+GenericName[et]=Integreeritud arenduskeskkond
+GenericName[eu]=Garapen ingurune integratua
+GenericName[fa]=محیط توسعه ی نرم افزار
+GenericName[fi]=Integroitu ohjelmointiympäristö
+GenericName[fr]=Environnement de Développement Intégré
+GenericName[gl]=Contorno integrado de desenvolvemento
+GenericName[he]=סביבת פיתוח משולבת
+GenericName[hi]=एकीकृत विकास वातावरण
+GenericName[hu]=Integrált Fejlesztői Felület
+GenericName[id]=Integrated Development Environment
+GenericName[it]=Ambiente di sviluppo integrato
+GenericName[ja]=統合開発環境
+GenericName[kk]=Интеграцияланған өндіру ортасы
+GenericName[ko]=통합 개발 환경
+GenericName[lb]=Integréiert Entwécklungsumgebung
+GenericName[lt]=Integruota kūrimo aplinka
+GenericName[nl]=Geïntegreerde Ontwikkelomgeving
+GenericName[nn]=Integrert utviklingsmiljø
+GenericName[pl]=Zintegrowane środowisko programistyczne
+GenericName[pt]=Ambiente integrado de desenvolvimento
+GenericName[pt_BR]=Ambiente de Desenvolvimento Integrado
+GenericName[ro]=Mediu de dezvoltare
+GenericName[ru]=Интегрированная среда разработки
+GenericName[sk]=Integrované vývojové prostredie
+GenericName[sl]=Vdelano razvojno okolje
+GenericName[sr]=Интегрисано развојно окружење
+GenericName[sv]=Integrerad utvecklingsmiljö
+GenericName[tr]=Tümleşik Geliştirme Ortamı
+GenericName[uk]=Об'єднане середовище розробки
+GenericName[vi]=Môi trường Phát triển Hợp nhất
+GenericName[zh_CN]=集成开发环境
+GenericName[zh_TW]=整合開發環境
+Comment=A fast and lightweight IDE using GTK+
+Comment[ar]=بيئة تطوير خفيفة وسريع تستخدم مكتبات GTK+
+Comment[ast]=Un IDE rápidu y llixeru basáu en GTK+
+Comment[be]=Хуткае і легкаважнае асяроддзе распрацоўкі, выкарыстоўваючае GTK+
+Comment[ca]=Un IDE ràpid i lleuger fet amb GTK+
+Comment[cs]=Rychlé a lehké IDE pro GTK+
+Comment[de]=Eine kleine und schnelle Entwicklungsumgebung für GTK+
+Comment[el]=Γρήγορο και ελαφρύ GTK+ IDE
+Comment[en_GB]=A fast and lightweight IDE using GTK+
+Comment[es]=Un IDE rápido y ligero para GTK+
+Comment[et]=Kiire ja väike IDE GTK+ põhjal
+Comment[eu]=GTK+ erabiltzen duen IDE azkar eta arina
+Comment[fa]=A fast and lightweight IDE using GTK+
+Comment[fi]=Nopea ja kevyt GTK+-pohjainen ohjelmointiympäristö
+Comment[fr]=Un EDI rapide et léger utilisant GTK+
+Comment[gl]=Un IDE rápido e lixeiro empregando GTK+
+Comment[he]=סביבת פיתוח משולבת קטנה וקלת משקל העושה שימוש ב־GTK+
+Comment[hi]=एक तेज और हलका GTK+ का उपयोग कर आईडीई
+Comment[hu]=Gyors és pehelykönnyű IDE GTK+ alapokon
+Comment[id]=Sebuah IDE yang cepat dan ringan menggunakan GTK+ 
+Comment[it]=Un IDE veloce e leggero che usa GTK+
+Comment[ja]=GTK+ を用いた高速で軽量な IDE
+Comment[kk]=GTK+ негізіндегі жылдам әрі жеңіл өндіру ортасы
+Comment[ko]=빠르고 가벼운 GTK+ 기반의 통합개발환경
+Comment[lb]=En klenge an schnelle IDE fir GTK+
+Comment[lt]=Greita ir supaprastinta kūrimo aplinka naudojanti GTK+
+Comment[nl]=Een snelle en lichtgewicht IDE, gebaseerd op GTK+
+Comment[nn]=Eit raskt og lett IDE som nyttar GTK+
+Comment[pl]=Szybkie i lekkie środowisko programistyczne oparte na GTK+
+Comment[pt]=Um IDE rápido e leve, usando GTK+
+Comment[pt_BR]=Um IDE rápido e leve usando GTK+
+Comment[ro]=Un IDE rapid folosind GTK+
+Comment[ru]=Быстрая и легковесная среда разработки, использующая GTK+
+Comment[sk]=Rýchle a nenáročné IDE pre GTK+
+Comment[sl]=Hitro in lahkotno vdelano razvojno okolje z uporabo GTK+
+Comment[sr]=Брзо и лагано GTK развојно окружење
+Comment[sv]=Ett snabbt och lättviktigt IDE som använder GTK+
+Comment[tr]=GTK+ kullanan hızlı ve hafif bir IDE
+Comment[uk]=Швидке та легке графічне середовище, що використовує GTK+
+Comment[vi]=Một IDE nhanh và nhẹ nhàng dùng GTK+
+Comment[zh_CN]=GTK+ 编写的轻快的 IDE
+Comment[zh_TW]=一個快速且輕巧的 GTK+ 整合開發環境
+Exec=geany %F
+Icon=geany
+Terminal=false
+Categories=GTK;Development;IDE;
+MimeType=text/plain;text/x-chdr;text/x-csrc;text/x-c++hdr;text/x-c++src;text/x-java;text/x-dsrc;text/x-pascal;text/x-perl;text/x-python;application/x-php;application/x-httpd-php3;application/x-httpd-php4;application/x-httpd-php5;application/xml;text/html;text/css;text/x-sql;text/x-diff;
 StartupNotify=true
-MimeType=text/plain;
-Icon=accessories-text-editor
-Categories=GTK;Utility;TextEditor;
-Keywords=text;editor;MATE;tabs;highlighting;code;multiple;files;pluggable;
-X-MATE-DocPath=pluma/pluma.xml
-X-MATE-FullName=Pluma Text Editor
-X-MATE-FullName[am]=ፕሉማ የ ጽሁፍ ማረሚያ 
-X-MATE-FullName[be]=Тэкставы рэдактар Pluma
-X-MATE-FullName[bg]=Текстов редактор Pluma
-X-MATE-FullName[br]=Embanner testennoù Pluma
-X-MATE-FullName[ca]=Editor de text Pluma
-X-MATE-FullName[ca@valencia]=Editor de text Pluma
-X-MATE-FullName[cs]=Textový editor Pluma
-X-MATE-FullName[cy]=Golygydd testun Pluma
-X-MATE-FullName[da]=Tekstredigeringen Pluma
-X-MATE-FullName[de]=Pluma-Textbearbeitung
-X-MATE-FullName[el]=Επεξεργαστής κειμένου Pluma
-X-MATE-FullName[en_AU]=Pluma Text Editor
-X-MATE-FullName[en_GB]=Pluma Text Editor
-X-MATE-FullName[es]=Editor de texto Pluma
-X-MATE-FullName[et]=Tekstiredaktor Pluma
-X-MATE-FullName[eu]=Pluma Testu Editorea
-X-MATE-FullName[fi]=Pluma-tekstimuokkain
-X-MATE-FullName[fr]=Éditeur de texte Pluma
-X-MATE-FullName[hr]=Pluma uređivač teksta
-X-MATE-FullName[hu]=Pluma szövegszerkesztő
-X-MATE-FullName[hy]=Pluma Տեքստային Խմբագրիչ
-X-MATE-FullName[id]=Penyunting Teks Pluma
-X-MATE-FullName[is]=Pluma textaritill
-X-MATE-FullName[it]=Editor di testo Pluma
-X-MATE-FullName[ja]=Pluma テキストエディタ
-X-MATE-FullName[kn]=Pluma ಪಠ್ಯ ಸಂಪಾದಕ
-X-MATE-FullName[ko]=플루마 문서 편집기
-X-MATE-FullName[lt]=Pluma tekstų redaktorius
-X-MATE-FullName[ms]=Penyunting Teks pluma
-X-MATE-FullName[nb]=Pluma tekstredigering
-X-MATE-FullName[nl]=Pluma-teksteditor
-X-MATE-FullName[pl]=Pluma Edytor Tekstu
-X-MATE-FullName[pms]=Pluma Text Editor
-X-MATE-FullName[pt]=Editor de Texto Pluma
-X-MATE-FullName[pt_BR]=Editor de Texto Pluma
-X-MATE-FullName[ro]=Editorul de text Pluma
-X-MATE-FullName[ru]=Текстовый редактор Pluma
-X-MATE-FullName[sk]=Textový editor Pluma
-X-MATE-FullName[sr]=Плума — уређивач текста
-X-MATE-FullName[sv]=Textredigeraren Pluma
-X-MATE-FullName[th]=เครื่องมือแก้ไขข้อความ Pluma
-X-MATE-FullName[tr]=Pluma Metin Düzenleyici
-X-MATE-FullName[uk]=Текстовий редактор Pluma
-X-MATE-FullName[uz]=Pluma Matn Tahrirchisi
-X-MATE-FullName[zh_CN]=Pluma 文本编辑器
-X-MATE-FullName[zh_HK]=Pluma 文字編輯器
-X-MATE-FullName[zh_TW]=Pluma 文字編輯器
-X-MATE-Bugzilla-Bugzilla=MATE
-X-MATE-Bugzilla-Product=Pluma
-X-MATE-Bugzilla-Component=general
-X-MATE-Bugzilla-Version=1.16.0
-X-MATE-Bugzilla-ExtraInfoScript=/usr/libexec/pluma/pluma-bugreport.sh
+Keywords=Text;Editor;
+Keywords[ca]=Text;Editor;
+Keywords[de]=Text;Editor;
+Keywords[el]=Κείμενο.Επεξεργαστής.
+Keywords[es]=Texto;Editor;
+Keywords[fr]=Texte;Éditeur;
+Keywords[it]=Testo;Editor;
+Keywords[ja]=Text;Editor;
+Keywords[lt]=Redaktorius
+Keywords[pt]=Texto;Editor;
+Keywords[ru]=Текст;Редактор;
+Keywords[sk]=Text;Editor;
+Keywords[tr]=Metin;Düzenleyici;
+Keywords[zh_CN]=文本;编辑器;
Seulement dans slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.config/xfce4: xfwm4
Seulement dans slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.fluxbox: keys
diff -ru slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.fluxbox/menu slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.fluxbox/menu
--- slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.fluxbox/menu	2017-01-10 19:37:52.000000000 +0100
+++ slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.fluxbox/menu	2017-07-24 13:32:17.000000000 +0200
@@ -17,7 +17,7 @@
       [exec] (File Manager) {exo-open --launch FileManager} </usr/share/icons/Adwaita/16x16/apps/system-file-manager.png>
       [exec] (Web Browser) {exo-open --launch WebBrowser} </usr/share/icons/Adwaita/16x16/apps/web-browser.png>
       [exec] (Mail Reader) {exo-open --launch MailReader} </usr/share/icons/Adwaita/16x16/apps/internet-mail.png>
-      [exec] (Slint Control Center) {qcontrolcenter} </usr/share/icons/Adwaita/16x16/categories/applications-internet.png>
+      [exec] (Dashboard Slint) {qcontrolcenter} </usr/share/icons/Adwaita/16x16/categories/applications-internet.png>
 	  [include] (~/.fluxbox/xdg_menu)
       [exec]   (Run) {xfrun4}
       [workspaces] (Workspaces list) </usr/share/icons/Adwaita/16x16/apps/preferences-system-windows.png>
diff -ru slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.fvwm/config slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.fvwm/config
--- slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.fvwm/config	2017-01-10 21:49:29.000000000 +0100
+++ slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.fvwm/config	2017-07-13 22:38:55.000000000 +0200
@@ -1,718 +1,2 @@
-##################################
-#  ____________________________
-# (   _________________________)
-#  ) (__  _  _  _    _
-# (   __)( \/ )( \/\/ )/\/\
-#  ) (    \  /  \    //    \
-# (___)    \/    \/\/(_/\/\_) 2.6
-#
-#
-#  This is the default configuration file shipped with fvwm.
-#
-#  This config file is organized as follows:
-#
-#    1: Functions
-#    2: Styles
-#    3: Colorsets
-#    4: Menus
-#    5: Bindings
-#    6: Decor
-#    7: Modules
-#
-#################################
-
-# InfoStoreAdd can be used to store variable data internal to fvwm.
-# The variable can then be used in the configuration as $[infostore.name].
-#
-# You can also use environment variables but for data internal to fvwm
-# use InfoStore variables instead.
-#
-# The following is used in various menus and also sets the terminal
-# that FvwmConsole uses. Change this to your terminal of choice
-InfoStoreAdd terminal xterm
-###########
-# 1: Functions
-#
-# Fvwm can use custom functions for various tasks.
-# The syntax for defining a function named FunctionName is:
-#
-#   DestroyFunc FunctionName
-#   AddToFunc FunctionName
-#   + I [Action to do Immediately]
-#   + C [Action to do on a Mouse Click]
-#   + D [Action to do on a Mouse Double Click]
-#   + H [Action to do on a Mouse Hold]
-#   + M [Action to do on a Mouse Motion]
-###########
-
-# Start Function
-#
-# The start function is run right after fvwm is done reading
-# the config file. This function run after each restart
-# so using Test (Init) or Test (Restart) can further control
-# actions that are run during the first time run (Init) or
-# actions that are run after a restart.
-DestroyFunc StartFunction
-AddToFunc   StartFunction
-# Slint: no default background, no Fvwm banner at startup.
-#+ I Test (Init, f $[FVWM_USERDIR]/.BGdefault) \
-#    Exec exec fvwm-root $[FVWM_USERDIR]/.BGdefault
-#+ I TestRc (NoMatch) Exec exec fvwm-root \
-#    $[FVWM_DATADIR]/default-config/images/background/bg1.png
-#+ I Test (Init) Module FvwmBanner
-+ I Module FvwmButtons RightPanel
-+ I Module FvwmEvent EventNewDesk
-
-# Function: MoveClickX $0 $1 $2
-#
-# This function runs variable actions on different events
-# and is used with the mouse bindings to allow different
-# actions depending on if the mouse is clicked, double clicked
-# or moved. Use "Nop" for no action.
-#
-#   $0 - Action on Mouse Hold + Move
-#   $1 - Action on Mouse Click
-#   $2 - Action on Mouse DoubleClick
-#
-#  Example: Mouse 1 T A MoveClickX Move Raise Maximize
-#
-#  Click title bar to raise, double click to maximize,
-#  and click+move to move the window.
-DestroyFunc MoveClickX
-AddToFunc   MoveClickX
-+ M $0
-+ C $1
-+ D $2
-
-# Function: ViewManPage $0
-#
-# This function loads the man page $0 in an terminal
-# and is used with the help menu.
-DestroyFunc ViewManPage
-AddToFunc   ViewManPage
-+ I Exec exec $[infostore.terminal] -g 80x40 \
-  -n "Manual Page - $0" -T "Manual Page - $0" -e man "$0"
-
-# Function: SetBG $0
-#
-# SetBG is used with the background menu to set the background
-# image and configure it to be loaded the next time fvwm is run.
-# Note, fvwm-root can't use .jpeg or resize images. Use something
-# like display, feh, etc.
-DestroyFunc SetBG
-AddToFunc   SetBG
-+ I Test (f $[FVWM_USERDIR]/images/background/$0) \
-    Exec exec fvwm-root $[FVWM_USERDIR]/images/background/$0
-+ I TestRc (Match) Exec exec ln -fs images/background/$0 \
-    $[FVWM_USERDIR]/.BGdefault
-+ I TestRc (Match) Break
-+ I Test (!f $[FVWM_DATADIR]/default-config/images/background/$0) Break
-+ I Exec exec fvwm-root $[FVWM_DATADIR]/default-config/images/background/$0
-+ I Exec exec ln -fs $[FVWM_DATADIR]/default-config/images/background/$0 \
-    $[FVWM_USERDIR]/.BGdefault
-
-
-# Function: IconManClick
-#
-# This function is run from FvwmIconMan when the button is clicked.
-DestroyFunc IconManClick
-AddToFunc   IconManClick
-+ I ThisWindow (Raised, !Shaded, !Iconic, CurrentPage) Iconify
-+ I TestRc (Match) Break
-+ I ThisWindow (!Raised) Raise
-+ I ThisWindow (Shaded) WindowShade
-+ I ThisWindow (Iconic) Iconify
-+ I ThisWindow (AcceptsFocus) FlipFocus
-
-# Function: ToggleTitle
-#
-# This function will toggle if fvwm shows the TitleBar.
-DestroyFunc ToggleTitle
-AddToFunc   ToggleTitle
-+ I ThisWindow (State 1) WindowStyle Title
-+ I TestRc (Match) State 1 False
-+ I TestRc (Match) Break
-+ I WindowStyle !Title
-+ I State 1 True
-
-# Function: ChangeDesk
-#
-# This function is called by FvwmEvent every time the Desk is changed.
-DestroyFunc ChangeDesk
-AddToFunc   ChangeDesk
-+ I SendToModule FvwmButtons ChangeButton desk0 Colorset 10
-+ I SendToModule FvwmButtons ChangeButton desk1 Colorset 10
-+ I SendToModule FvwmButtons ChangeButton desk2 Colorset 10
-+ I SendToModule FvwmButtons ChangeButton desk3 Colorset 10
-+ I SendToModule FvwmButtons ChangeButton desk$0 Colorset 11
-
-# This function reads ~/.fvwm/wdg_menu to include it as xdgmenu
-# ~/.fvwm/wdg_menu is populated at each fvwm startup using the wrapper
-# script /usr/libexec/slint/fvwm.sh that runs xdgmenumaker, among other
-# duties. - Didier
-DestroyFunc FuncRecreateXdgMenus
-AddToFunc   FuncRecreateXdgMenus
-+ I Test (f  $[FVWM_USERDIR]/xdg_menu) Read $[FVWM_USERDIR]/xdg_menu
-
-#############
-# 2: Styles #
-#############
-
-# Desktops and Pages
-#
-# Fvwm has both Virtual Desktops and Pages. Each Desktop is built from
-# a grid of Pages. The following sets the name of four Desktops and then
-# divides each Desktop into a 2x2 grid of Pages that are positioned as
-#
-#   +---+---+
-#   |   |   |
-#   +---+---+
-#   |   |   |
-#   +---+---+
-#
-DesktopName 0 Main
-DesktopName 1 Desk1
-DesktopName 2 Desk2
-DesktopName 3 Desk3
-DesktopSize 2x2
-
-# EdgeScroll will move the view port between the Pages when the mouse
-# moves to the edge of the screen. This set the amount of distance to
-# scroll at 100% (full page) and the EdgeResistance which is a timer
-# for how long the mouse as at the edge before it scrolls.
-#
-# Set EdgeScroll 0 0 and/or EdgeResistance -1 to disable.
-# EdgeScroll 100 100
-# Slint: Edge scroll can confuse new users, so diable it.
-EdgeScroll 0 0
-# EdgeResistance 450
-# EdgeThickness 1
-# Style * EdgeMoveDelay 350, EdgeMoveResistance 350
-
-# EwmhBaseStruts [left] [right] [top] [bottom]
-# Reserves space along the edge(s) of the Screen that will not
-# be covered when maximizing or placing windows.
-# EwmhBaseStruts 0 120 0 0
-# Slint
-EwmhBaseStruts 0 120 0 28
-
-# This sets the ClickTime and MoveThreshold used to determine
-# Double Clicks, Hold and Move for the mouse.
-ClickTime 350
-MoveThreshold 3
-
-# Sets the focus style to SloppyFocus and a mouse click
-# in a window will Raise it.
-# Slint: added FPGrabFocus
-Style * SloppyFocus, MouseFocusClickRaises, FPGrabFocus
-
-# Default Font
-DefaultFont "xft:Sans:Bold:size=8:antialias=True"
-
-# Window Placement
-Style * TileCascadePlacement, GrabFocusOff, !UsePPosition
-
-# Sets all windows to OpaqueMove (vs a wired frame) and  windows will
-# snap to each other and the edge of the screen.
-OpaqueMoveSize -1
-HideGeometryWindow
-Style * ResizeOpaque, SnapAttraction 15 SameType ScreenAll, SnapGrid
-XorValue 55555
-
-# Transient Windows (such as open file windows)
-Style * DecorateTransient, StackTransientParent
-Style * !FPGrabFocusTransient, FPReleaseFocusTransient
-
-# WindowShade
-Style * WindowShadeScrolls, WindowShadeSteps 10
-
-# Ignore Numlock and other modifiers for bindings
-# See http://fvwm.org/documentation/faq/#why-do-numlock-capslock-and-scrolllock-interfere-with-clicktofocus-andor-my-mouse-bindings
-IgnoreModifiers L25
-
-# Decor Styles
-Style * BorderWidth 5, HandleWidth 5, MWMButtons, \
-	FvwmBorder, FirmBorder, UseDecor FvwmDecor
-# Style * Colorset 1, HilightColorset 2
-# Style * BorderColorset 3, HilightBorderColorset 4
-# Slint decor styles
-Style * Colorset 1, HilightColorset 0
-Style * BorderColorset 1, HilightBorderColorset 0
-
-# Disable Icons from appearing on desktop.
-# Comment this out or use Style * Icon to get the icons back.
-Style * !Icon
-
-# Window Specific Styles
-# Slint: added !Iconifiable to RightPanel, else it would disappear when
-# clicking the "minimize all windows' lxpanel's icon.
-# I also try !Closable and StickyIcon
-Style RightPanel !Title, !Borders, !Handles, Sticky, NeverFocus, WindowListSkip, !Iconifiable, WindowShadeShrinks
-#Style RightPanel !Title, !Borders, !Handles, Sticky, StickyIcon, NeverFocus, !Iconifiable, !Closable, IgnoreRestack, 
-Style ConfirmQuit !Title, PositionPlacement Center, WindowListSkip, Layer 6
-Style FvwmIdent WindowListSkip
-# Slint : style settings for lxpanel
-Style panel !FPEnterToFocus, !Title, !Borders, StaysOnTop
-Style Orage WindowListSkip
-
-#######
-# 3: Colorsets
-#
-# Colorsets can be used to configure the color of the various
-# parts of fvwm such as window decor, menus, modules, etc.
-#
-# Colorset Convention
-#
-#   0 - Default
-#   1 - Inactive Windows
-#   2 - Active Window
-#   3 - Inactive Windows Borders
-#   4 - Active Windows Borders
-#   5 - Menu - Inactive Item
-#   6 - Menu - Active Item
-#   7 - Menu - Grayed Item
-#   8 - Menu - Title
-#   9 - Reserved
-#  10+ Modules
-#      10 - Module Default
-#      11 - Module Hilight
-#      12 - Module ActiveButton (Mouse Hover)
-#      13 - FvwmPager Active Page
-###########
-# Slint color sets
-Colorset 0 bg #002255, fg white
-Colorset 1 bg white, fg #002255
-#Colorset 0  fg #ffffff, bg #003c3c, hi, sh, Plain, NoShape
-#Colorset 1  fg #000000, bg #8f9f8f, hi, sh, Plain, NoShape
-Colorset 2  fg #ffffff, bg #003c3c, hi, sh, Plain, NoShape
-Colorset 3  fg black, bg #4d4d4d, hi #676767, sh #303030, Plain, NoShape
-Colorset 4  fg black, bg #2d2d2d, hi #474747, sh #101010, Plain, NoShape
-Colorset 5  fg #000000, bg #ffffff, hi, sh, Plain, NoShape
-Colorset 6  fg #ffffff, bg #2d2d2d, hi, sh, Plain, NoShape
-Colorset 7  fg grey30, bg #ffffff, hi, sh, Plain, NoShape
-Colorset 8  fg #ffffff, bg #003c3c, hi, sh, Plain, NoShape
-#Colorset 10 fg #ffffff, bg #003c3c, hi #aaaaaa, sh #999999, Plain, NoShape
-Colorset 10 bg #002255, fg white
-#Colorset 11 fg #ffffff, bg #1a6e99, hi #ffffff, sh #ffffff, Plain, NoShape
-Colorset 11  bg white, fg #002255
-#Colorset 12 fg #2d2d2d, bg #ffffff, hi, sh, Plain, NoShape
-Colorset 12 bg white, fg #002255
-#Colorset 13 fg #ffffff, bg #006c6c, hi, sh, Plain, NoShape
-Colorset 13 bg white, fg #002255
-
-#######
-# 4: Menus
-###########
-# Slint menus styles
-MenuStyle * fvwm, BorderWidth 3, HilightBack #002255, ActiveFore white, TrianglesSolid, TrianglesUseFore, HilightTitleBack, TitleColorset 0
-MenuStyle * Font xft:DejaVuMono:size=10
-#MenuStyle * MenuColorset 5, ActiveColorset 6, GreyedColorset 7, TitleColorset 8
-#MenuStyle * Hilight3DOff, HilightBack, HilightTitleBack, SeparatorsLong
-#MenuStyle * TrianglesSolid, TrianglesUseFore
-#MenuStyle * ItemFormat "%|%3.1i%5.3l%5.3>%|"
-#MenuStyle * Font "xft:Sans:Bold:size=8:antialias=True"
-
-# Root Menu
-#
-# The root menu will PopUp with a click in the root
-# window or using alt-f1 (or menu).
-DestroyMenu MenuFvwmRoot
-AddToMenu   MenuFvwmRoot "Fvwm" Title
-+  "Terminal Emulator%/usr/share/icons/Adwaita/16x16/apps/utilities-terminal.png%" Exec exec exo-open --launch TerminalEmulator
-+  "File Manager%/usr/share/icons/Adwaita/16x16/apps/system-file-manager.png%"     Exec exec exo-open --launch FileManager
-+  "Web Browser%/usr/share/icons/Adwaita/16x16/apps/web-browser.png%"              Exec exec exo-open --launch WebBrowser
-+  "Mail Reader%/usr/share/icons/Adwaita/16x16/apps/internet-mail.png%"            Exec exec exo-open --launch MailReader
-+  "Slint Control Center%/usr/share/icons/Adwaita/16x16/categories/applications-internet.png%" Exec exec qcontrolcenter
-+  "Applications%/usr/share/icons/Tango/16x16/actions/gtk-find.png%" Popup xdgmenu
-+					    "Run..."                   Exec exec xfrun4
-+ "Windows list%/usr/share/icons/Adwaita/16x16/apps/preferences-system-windows.png%" WindowList NoGeometryWithInfo,TitleForAllDesks,NoHotKeys,NoCurrentDeskTitle
-+ "" Nop
-+ "FvwmConsole%icons/terminal.png%" Module FvwmConsole -terminal $[infostore.terminal]
-+ "Wallpapers%icons/wallpaper.png%" Popup BGMenu
-+ "Man Pages%icons/help.png%" Popup MenuFvwmManPages
-+ "" Nop
-+ "Quit Fvwm...%/usr/share/icons/Adwaita/16x16/actions/application-exit.png%" Popup MenuFvwmQuitVerify
-
-#+ "Programs%icons/programs.png%" Popup MenuPrograms
-#+ "XDG Menu%icons/apps.png%" Popup XDGMenu
-#+ "XTerm%icons/terminal.png%" Exec exec $[infostore.terminal]
-#+ "" Nop
-#+ "FvwmConsole%icons/terminal.png%" Module FvwmConsole -terminal $[infostore.terminal]
-#+ "Wallpapers%icons/wallpaper.png%" Popup BGMenu
-#+ "Man Pages%icons/help.png%" Popup MenuFvwmManPages
-#+ "Copy Config%icons/conf.png%" FvwmScript FvwmScript-ConfirmCopyConfig
-#+ "" Nop
-#+ "Refresh%icons/refresh.png%" Refresh
-#+ "Restart%icons/restart.png%" Restart
-#+ "Quit%icons/quit.png%" Module FvwmScript FvwmScript-ConfirmQuit
-
-# Slint FIX ME
-# Restart Twm is not proposed because so far
-# that triggers a logout. Didier 18/11/2016
-DestroyMenu MenuFvwmQuitVerify
-AddToMenu MenuFvwmQuitVerify "$[gt.Really Quit Fvwm?]" Title
-+ "&Q. $[gt.Yes, Really Quit]" Quit
-+ ""                     Nop
-+ "&R. $[gt.Restart]"          Restart
-+ ""                     Nop
-+ "&N. $[gt.No, Don't Quit]"   Nop
-
-# These commands refresh the menu xdgmenu in Slint - Didier  
-DestroyMenu xdgmenu
-AddToMenu xdgmenu
-+ DynamicPopupAction Function FuncRecreateXdgMenus
-
-# Not used by default in Slint - Didier
-
-# Generate XDGMenu
-# PipeRead "fvwm-menu-desktop"
-
-# Programs Menu
-#
-# This test for some common programs and adds them to the menu.
-# When adding programs you don't need to use the Test (x foo)
-# lines as this is only to help make this menu portable.
-# Slint: we leave as is but do not use the menu below.
-DestroyMenu MenuPrograms
-AddToMenu   MenuPrograms "Programs" Title
-Test (x chromium) + "Chromium" Exec exec chromium
-Test (x firefox) + "Firefox" Exec exec firefox
-Test (x google-chrome) + "Google-Chrome" Exec exec google-chrome
-Test (x gvim) + "gVim" Exec exec gvim
-Test (x xemacs) + "XEmacs" Exec exec xemacs
-Test (x gimp) + "Gimp" Exec exec gimp
-Test (x vlc) + "VLC" Exec exec vlc
-
-# Background Menu
-#
-# Backgrounds are located in ~/.fvwm/images/background/
-# Menu icons are located in ~/.fvwm/images/bgicons/
-DestroyMenu BGMenu
-AddToMenu   BGMenu "Wallpapers" Title
-+ "Floral%bgicons/bg1.png%" SetBG bg1.png
-+ "Circles%bgicons/bg2.png%" SetBG bg2.png
-+ "Slint%$[FVWM_USERDIR]/images/bgicons/slint.png%" Exec exec sh ~/.setfvwmbg
-+ "Space%bgicons/bg3.png%" SetBG bg3.png
-
-# Window Operations Menus
-DestroyMenu MenuWindowOps
-AddToMenu   MenuWindowOps
-+ "Move"      Move
-+ "Resize"    Resize
-+ "Iconify"   Iconify
-+ "Maximize"  Maximize
-+ "Shade"     WindowShade
-+ "Stick"     Stick
-+ "" Nop
-+ "Close"     Close
-+ "More..."   Menu MenuWindowOpsLong This 0 0
-
-DestroyMenu MenuWindowOpsLong
-AddToMenu   MenuWindowOpsLong
-+ "Actions on windows"  Title
-+ "Move"                Move
-+ "Resize"              Resize
-+ "(De)Iconify"         Iconify
-+ "(Un)Maximize"        Maximize
-+ "(Un)Shade"           WindowShade
-+ "(Un)Sticky"		Stick
-+ "(No)TitleBar"	Pick (CirculateHit) ToggleTitle
-+ "Send To Desk"        Popup MenuSendToDesk
-+ "" Nop
-+ "Close"               Close
-+ "Destroy"             Destroy
-+ "" Nop
-+ "Raise"		Raise
-+ "Lower"		Lower
-+ "" Nop
-+ "StaysOnTop"          Pick (CirculateHit) Layer 0 6
-+ "StaysPut"            Pick (CirculateHit) Layer 0 4
-+ "StaysOnBottom"       Pick (CirculateHit) Layer 0 2
-+ "" Nop
-+ "Identify"            Module FvwmIdent
-
-DestroyMenu MenuIconOps
-AddToMenu   MenuIconOps
-+ "(De)Iconify"         Iconify
-+ "(Un)Maximize"        Maximize
-+ "(Un)Shade"           WindowShade
-+ "(Un)Sticky"		Stick
-+ "(No)TitleBar"	Pick (CirculateHit) ToggleTitle
-+ "Send To Desk"        Popup MenuSendToDesk
-+ "" Nop
-+ "Close"               Close
-+ "Destroy"             Destroy
-+ "" Nop
-+ "Raise"		Raise
-+ "Lower"		Lower
-+ "" Nop
-+ "StaysOnTop"          Pick (CirculateHit) Layer 0 6
-+ "StaysPut"            Pick (CirculateHit) Layer 0 4
-+ "StaysOnBottom"       Pick (CirculateHit) Layer 0 2
-+ "" Nop
-+ "Identify"            Module FvwmIdent
-
-DestroyMenu MenuSendToDesk
-AddToMenu   MenuSendToDesk
-+ "Current"	MoveToDesk
-+ "Desk 0"	MoveToDesk 0 0
-+ "Desk 1"	MoveToDesk 0 1
-+ "Desk 2"	MoveToDesk 0 2
-+ "Desk 3"	MoveToDesk 0 3
-
-# Fvwm Man Pages (Help) Menu
-DestroyMenu MenuFvwmManPages
-AddToMenu   MenuFvwmManPages "Help" Title
-+ "fvwm"                ViewManPage fvwm
-+ "FvwmAnimate"         ViewManPage FvwmAnimate
-+ "FvwmAuto"            ViewManPage FvwmAuto
-+ "FvwmBacker"          ViewManPage FvwmBacker
-+ "FvwmBanner"          ViewManPage FvwmBanner
-+ "FvwmButtons"         ViewManPage FvwmButtons
-+ "FvwmCommand"         ViewManPage FvwmCommand
-+ "FvwmConsole"         ViewManPage FvwmConsole
-+ "FvwmEvent"           ViewManPage FvwmEvent
-+ "FvwmForm"            ViewManPage FvwmForm
-+ "FvwmIconMan"         ViewManPage FvwmIconMan
-+ "FvwmIdent"           ViewManPage FvwmIdent
-+ "FvwmPager"           ViewManPage FvwmPager
-+ "FvwmPerl"            ViewManPage FvwmPerl
-+ "FvwmProxy"           ViewManPage FvwmProxy
-+ "FvwmRearrange"       ViewManPage FvwmRearrange
-+ "FvwmScript"          ViewManPage FvwmScript
-+ "" Nop
-+ "fvwm-root"	        ViewManPage fvwm-root
-+ "fvwm-menu-desktop"   ViewManPage fvwm-menu-desktop
-+ "fvwm-menu-directory" ViewManPage fvwm-menu-directory
-+ "fvwm-menu-headlines" ViewManPage fvwm-menu-headlines
-+ "fvwm-menu-xlock"     ViewManPage fvwm-menu-xlock
-+ "fvwm-config"         ViewManPage fvwm-config
-
-#######
-# 5: Mouse and Key bindings
-#
-# Contexts:
-#     R = Root Window                 rrrrrrrrrrrrrrrrrrrrrr
-#     W = Application Window          rIrrrr<---------^rrrrr
-#     F = Frame Corners               rrrrrr[13TTTT642]rrrrr
-#     S = Frame Sides                 rIrrrr[wwwwwwwww]rrrrr
-#     T = Title Bar                   rrrrrr[wwwwwwwww]rrrrr
-#     I = Icon                        rIrrrrv_________>rrrrr
-#                                     rrrrrrrrrrrrrrrrrrrrrr
-#
-#     Numbers are buttons: [1 3 5 7 9  TTTTT  0 8 6 4 2]
-#
-# Modifiers: (A)ny, (C)ontrol, (S)hift, (M)eta, (N)othing
-#
-# Format: Key <X>  <Context> <Modifier> <Action>
-#         Mouse <X> <Context> <Modifier> <Action>
-####################
-
-# Alt-F1 or Menu to load the root menu and Alt-Tab for a WindowList.
-# Ctrl-F1/F2/F3/F4 will switch between the Virtual Desktops.
-# Super_R (windows key) will launch a terminal.
-#
-# Silent supresses any errors (such as keyboards with no Menu key).
-Silent Key F1 A M Menu MenuFvwmRoot
-Silent Key Menu A A Menu MenuFvwmRoot
-Silent Key Tab A M WindowList Root c c NoDeskSort, SelectOnRelease Meta_L
-Silent Key F1 A C GotoDesk 0 0
-Silent Key F2 A C GotoDesk 0 1
-Silent Key F3 A C GotoDesk 0 2
-Silent Key F4 A C GotoDesk 0 3
-Silent Key Super_R A A Exec exec $[infostore.terminal]
-
-# Window Buttons: [1 3 5 7 9  TTTTT  0 8 6 4 2]
-#   1 - Open the WindowOps menu.
-#   2 - Close on single click, Destory on double click.
-#   4 - Maximize (right/middle button will only maximize vertical/horizontal)
-#   6 - Iconify (minimize)
-Mouse 1 1 A Menu MenuWindowOps
-Mouse 1 2 A MoveClickX Nop Close Destroy
-Mouse 1 4 A Maximize 100 100
-Mouse 2 4 A Maximize 0 100
-Mouse 3 4 A Maximize 100 0
-Mouse 1 6 A Iconify
-
-#   TitleBar: Click to Raise, Move, Double Click to Maximize
-#             Mouse Wheel Up/Down to WindowShade On/Off
-#   Borders: Click to raise, Move to Resize
-#   Root Window: Left Click - Main Menu
-#                Right Click - WindowOps Menu
-#                Middle Click - Window List Menu
-#   Right click TitleBar/Borders for WindowOps Menu
-Mouse 1	T    A MoveClickX Move Raise Maximize
-Mouse 1	FS   A MoveClickX Resize Raise Nop
-Mouse 4	T    A MoveClickX Nop Raise "WindowShade True"
-Mouse 5	T    A MoveClickX Nop Raise "WindowShade False"
-#Mouse 1	R    A Menu MenuFvwmRoot
-Mouse 3	R    A Menu MenuFvwmRoot
-Mouse 2	R    A WindowList
-# Mouse 3	R    A Menu MenuWindowOpsLong
-Mouse 1	R    A Menu MenuWindowOpsLong
-Mouse 1	I    A MoveClickX Move Nop Iconify
-Mouse 3	T    A Menu MenuWindowOps
-Mouse 3 I    A Menu MenuIconOps
-
-#######
-# 6: Window Decor
-#
-# Buttons Locations: [1 3 5 7 9  TTTTT  0 8 6 4 2]
-#
-#   1 - WindowOps Menu
-#   2 - Close
-#   4 - Maximize
-#   6 - Minimize
-###########
-DestroyDecor FvwmDecor
-AddToDecor   FvwmDecor
-+ TitleStyle Centered Height 18 -- Flat
-+ ButtonStyle All ActiveUp Vector 5 15x15@4 15x85@3 85x85@3 85x15@3 15x15@3 -- Flat
-+ ButtonStyle All ToggledActiveUp Vector 5 15x15@4 15x85@3 85x85@3 85x15@3 15x15@3 -- Flat
-+ ButtonStyle All ActiveDown Vector 5 20x20@4 20x80@3 80x80@3 80x20@3 20x20@3 -- Flat
-+ ButtonStyle All ToggledActiveDown Vector 5 20x20@4 20x80@3 80x80@3 80x20@3 20x20@3 -- Flat
-+ ButtonStyle All ToggledInactive Vector 5 47x47@3 57x53@3 53x53@3 53x47@3 47x47@3 -- Flat
-+ ButtonStyle All Inactive Vector 5 47x47@3 57x53@3 53x53@3 53x47@3 47x47@3 -- Flat
-+ AddButtonStyle 1 Active Vector 5 45x45@3 55x45@3 55x55@3 45x55@3 45x45@3
-+ AddButtonStyle 2 Active Vector 4 35x35@3 65x65@3 65x35@4 35x65@3
-+ AddButtonStyle 4 Active Vector 8 30x70@3 30x30@3 70x30@3 70x70@3 30x70@3 \
-        30x50@4 50x50@3 50x70@3
-+ AddButtonStyle 4 ToggledActiveUp Vector 8 30x70@3 30x30@3 70x30@3 70x70@3 30x70@3 \
-        50x30@4 50x50@3 70x50@3
-+ AddButtonStyle 6 Active Vector 5 35x60@3 65x60@3 65x50@3 35x50@3 35x60@3
-+ ButtonStyle All - Clear
-+ ButtonStyle 1 - MwmDecorMenu
-+ ButtonStyle 4 - MwmDecorMax
-+ ButtonStyle 6 - MwmDecorMin
-
-############
-# 7: Modules
-#############
-
-# FvwmIdent
-#
-# FvwmIdent is a module that can be used to get the various info about
-# a window. One use is getting the class/resource/name of a window.
-DestroyModuleConfig FvwmIdent:*
-*FvwmIdent: Colorset 0
-*FvwmIdent: Font "xft:Sans:size=10:antialias=True"
-
-# FvwmBanner
-#
-# This displays the Fvwm Logo for 5 seconds. This is displayed
-# when fvwm starts.
-DestroyModuleConfig FvwmBanner:*
-*FvwmBanner: NoDecor
-*FvwmBanner: Timeout 5
-
-# FvwmScript
-#
-# FvwmScript is a module that allows one to write custom desktop
-# widgets and various other tools. This config uses two FvwmScripts.
-#   - DateTime - uses the output of "date" to display the date/time
-#     on the RightPanel.
-#   - Quit - This is a popup that asks for quit confirmation before
-#     quitting fvwm.
-DestroyModuleConfig FvwmScript:*
-*FvwmScript: DefaultColorset 10
-
-# FvwmButtons - RightPanel
-#
-# FvwmButtons is a powerful module that can be used to build custom
-# panels and docks. This config uses FvwmButtons to build the RightPanel.
-# The panel contains buttons to switch desks, FvwmPager, a system tray,
-# FvwmIconMan (list of running windows), and a clock.
-#
-# Note - To use the system tray you must have "stalonetray" installed.
-DestroyModuleConfig RightPanel:*
-#*RightPanel: Geometry 120x$[vp.height]-0+0
-# Slint: keep 28 pixels at the bottom for lxpanel
-PipeRead 'echo "*RightPanel: Geometry 120x$(($[vp.height]-28))-0+0"'
-*RightPanel: Colorset 0, ActiveColorset 1
-*RightPanel: Rows $[vp.height]
-*RightPanel: Columns 120
-*RightPanel: Frame 0
-*RightPanel: Font "xft:Sans:Bold:size=10:antialias=True"
-#*RightPanel: (120x45, Icon "fvwm-logo-small.png", Frame 0)
-*RightPanel: (120x5, Frame 0)
-*RightPanel: (10x20, Frame 0)
-*RightPanel: (25x20, Id desk0, Title "0", Action (Mouse 1) GotoDesk 0 0, Colorset 11, ActiveColorset 12, Frame 0)
-*RightPanel: (25x20, Id desk1, Title "1", Action (Mouse 1) GotoDesk 0 1, ActiveColorset 12, Frame 0)
-*RightPanel: (25x20, Id desk2, Title "2", Action (Mouse 1) GotoDesk 0 2, ActiveColorset 12, Frame 0)
-*RightPanel: (25x20, Id desk3, Title "3", Action (Mouse 1) GotoDesk 0 3, ActiveColorset 12, Frame 0)
-*RightPanel: (10x20, Frame 0)
-*RightPanel: (5x80, Frame 0)
-*RightPanel: (110x80, Swallow FvwmPager 'Module FvwmPager *', Frame 0)
-*RightPanel: (5x80, Frame 0)
-*RightPanel: (120x5, Frame 0)
-#Test (x stalonetray) *RightPanel: (120x20, Swallow(NoClose,UseOld) \
-#    stalonetray 'Exec exec stalonetray --config \
-#    "$[FVWM_DATADIR]/default-config/.stalonetrayrc"', Frame 0)
-#Test (x stalonetray) PipeRead 'echo "*RightPanel: (120x$(($[vp.height]-225)), \
-#    Top, Swallow FvwmIconMan \'Module FvwmIconMan\', Frame 0)"'
-#Test (!x stalonetray) PipeRead 'echo "*RightPanel: (120x$(($[vp.height]-205)),\
-#    Top, Swallow FvwmIconMan \'Module FvwmIconMan\', Frame 0)"'
-# Slint: we don't care about stalonetray, but keep 39 pixels at the bottom
-# for lxpanel. But as we don't display fvwm-logo-small.png see above) we
-# are allowed 45 more pixels
-PipeRead 'echo "*RightPanel: (120x$(($[vp.height]-205-28+45)),\
-Top, Swallow FvwmIconMan \'Module FvwmIconMan\', Frame 0)"'
-# *RightPanel: (120x45, Swallow DateTime 'Module FvwmScript FvwmScript-DateTime',\
-    Frame 0)
-# *RightPanel: (120x5, Frame 0)
-
-# FvwmPager
-#
-# This module displays the location of the windows on the various Pages
-# and Desks. This is setup to show only the Pages on the current Desk.
-DestroyModuleConfig FvwmPager:*
-*FvwmPager: Colorset * 0
-*FvwmPager: HilightColorset * 1
-*FvwmPager: BalloonColorset * 0
-*FvwmPager: WindowColorsets 1 0
-*FvwmPager: Font None
-*FvwmPager: Balloons All
-*FvwmPager: BalloonFont "xft:Sans:Bold:size=8:antialias=True"
-*FvwmPager: BallonYOffset +2
-*FvwmPager: Window3dBorders
-*FvwmPager: MiniIcons
-
-# FvwmIconMan
-#
-# FvwmIconMan is a powerful tool to list and manage windows. This
-# is used as the window list in the panel or taskbar.
-DestroyModuleConfig FvwmIconMan:*
-*FvwmIconMan: UseWinList true
-*FvwmIconMan: ButtonGeometry 120x20
-*FvwmIconMan: Colorset 0
-*FvwmIconMan: FocusColorset 1
-*FvwmIconMan: FocusAndSelectColorset 1
-*FvwmIconMan: SelectColorset 1
-*FvwmIconMan: IconAndSelectColorset 1
-*FvwmIconMan: DrawIcons always
-*FvwmIconMan: ReliefThickness 0
-*FvwmIconMan: Format "%t"
-*FvwmIconMan: Font "xft:Sans:Bold:size=8:antialias=True"
-*FvwmIconMan: Action Mouse 1 A sendcommand IconManClick
-*FvwmIconMan: Action Mouse 2 A sendcommand Nop
-*FvwmIconMan: Action Mouse 3 A sendcommand "Menu MenuIconOps"
-*FvwmIconMan: Resolution global
-*FvwmIconMan: Tips needed
-*FvwmIconMan: Sort id
-
-# FvwmEvent
-#
-# FvwmEvent is a module that can run an action or function
-# on specific events. This instance changes which desk number
-# is highlighted when the desk is changed.
-DestroyModuleConfig EventNewDesk:*
-*EventNewDesk: PassID
-*EventNewDesk: new_desk ChangeDesk
-
-# FvwmForm
-#
-# FvwmForm is a module that can be used to build a GUI
-# form. Used with fvwm-menu-desktop-config.fpl.
-# This sets the default colorsets.
-*FvwmFormDefault: Colorset 10
-*FvwmFormDefault: ItemColorset 13
+Test (EnvMatch DESKTOP_SESSION LXDE) Read config.lxde
+Test (!EnvMatch DESKTOP_SESSION LXDE) Read config.others
Seulement dans slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.fvwm: config.lxde
Seulement dans slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.fvwm: config.others
Seulement dans slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.fvwm: xdg_menu
Seulement dans slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.local/share/applications: defaults.list
Seulement dans slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.local/share/applications: nm-applet.desktop
Seulement dans slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.local/share/applications: nm-connection-editor.desktop
Seulement dans slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.local/share/applications: qcontrolcenter.desktop
Seulement dans slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.local/share/applications: slint-control-center.desktop
diff -ru slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.twmrc.skel slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.twmrc.skel
--- slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/.twmrc.skel	2017-01-08 23:39:43.000000000 +0100
+++ slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/.twmrc.skel	2017-07-26 19:32:54.000000000 +0200
@@ -73,7 +73,8 @@
 Button1 = : title : f.function "move-or-raise"
 Button2 = : title : f.menu "TwmWindows"
 Button3 = : title : f.menu "windowops"
-
+# Alt+F2 pops up the xfrun4 window
+"F2" = M : all : f.exec "xfrun4 &"
 #
 # And a menus with the usual things
 #
@@ -84,7 +85,7 @@
 "File Manager" f.exec "exo-open --launch FileManager"
 "Web Browser" f.exec "exo-open --launch WebBrowser"
 "Mail Reader" f.exec "exo-open --launch MailReader"
-"Slint Control Center" f.exec "qcontrolcenter &"
+"Dashboard Slint" f.exec "qcontrolcenter &"
 "Run..." f.exec "xfrun4 &"
 "Applications =>" f.menu "xdgmenu"
 "Windows list =>" f.menu "Windows"
diff -ru slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/Desktop/qcontrolcenter.desktop slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/Desktop/qcontrolcenter.desktop
--- slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/Desktop/qcontrolcenter.desktop	2016-11-08 19:24:25.000000000 +0100
+++ slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/Desktop/qcontrolcenter.desktop	2017-07-24 13:32:07.000000000 +0200
@@ -1,12 +1,61 @@
 [Desktop Entry]
 Version=1.0
-Name=Slint Control Center
+Name=Dashboard Slint
+Name[ar]=Slint لوحة القيادة
+Name[bg]=Табло Slint
+Name[bn]=ড্যাশবোর্ড Slint
+Name[bs]=Dashboard Slint
+Name[cs]=Přístrojová deska Slint
+Name[da]=Pnstrumentbræt Slint
+Name[de]=Instrumententafel Slint
+Name[el]=ταμπλό Slint
+Name[en]=Dashboard Slint
+Name[eo]=Instrumentpanelo Slint
+Name[es]=Tablero Slint
+Name[et]=Armatuurlaud Slint
+Name[fa]=Slint داشبورد
+Name[fi]=kojelauta Slint
+Name[fr]=Tableau de bord Slint
+Name[ga]=Painéal na nIonstraimí Slint
+Name[gu]=ડેશબોર્ડ Slint
+Name[he]=gaban mota Slint
+Name[hi]=डैशबोर्ड Slint
+Name[hr]=Kontrolna ploča
+Name[hu]=Műszerfal Slint
+Name[id]=Dasbor Slint
+Name[it]=Cruscotto Slint
+Name[ja]=ダッシュボード Slint
+Name[kn]=ಡ್ಯಾಶ್ಬೋರ್ಡ್ Slint
+Name[ko]=계기반 Slint
+Name[lt]=Prietaisų skydelis Slint
+Name[lv]=Informācijas panelis Slint
+Name[ml]=ഡാഷ്ബോർഡ് Slint
+Name[mr]=डॅशबोर्ड Slint
+Name[ms]=Papan pemuka slint
+Name[mt]=Dashboard Slint
+Name[nb]=Dashbord Slint
+Name[nl]=Dashboard Slint
+Name[pa]=ਡੈਸ਼ਬੋਰਡ Slint
+Name[pl]=Deska rozdzielcza Slint
+Name[ps]=Slint ډشبورډ
+Name[ro]=Bord Slint
+Name[ru]=Панель приборов Slint
+Name[sk]=prístrojová doska Slint
+Name[sr]=Командна табла Slint
+Name[sv]=Instrumentbräda Slint
+Name[sw]=Dashibodi Slint
+Name[ta]=கருவி குழு Slint
+Name[te]=డాష్బోర్డ్ Slint
+Name[th]=แผงควบคุม Slint
+Name[tr]=Gösterge paneli Slint
+Name[uk]=Панель приладів Slint
+Name[vi]=bảng điều khiển Slint
+Name[yo]=Slint Iṣakoso ile-
+Name[zh]=儀表板 Slint
 Type=Application
-Comment=The Slint Control Center
+Comment=The Dashboard Slint
 Terminal=false
 Exec=qcontrolcenter
 Icon=applications-internet
-Categories=Utilities;Settings;
-GenericName=Slint Control Center
-Path=
-StartupNotify=false
+Categories=Utility;Settings;
+GenericName=Dashboard
diff -ru slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/GNUstep/Defaults/WMRootMenu slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/GNUstep/Defaults/WMRootMenu
--- slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/GNUstep/Defaults/WMRootMenu	2017-01-10 19:37:18.000000000 +0100
+++ slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/GNUstep/Defaults/WMRootMenu	2017-07-24 13:31:51.000000000 +0200
@@ -4,7 +4,7 @@
   ("File Manager", EXEC, "exo-open --launch FileManager"),
   ("Web Browser", EXEC, "exo-open --launch WebBrowser"),
   ("Mail Reader", EXEC, "exo-open --launch MailReader"),
-  ("Slint Control Center", EXEC, qcontrolcenter),
+  ("Dashboard Slint", EXEC, qcontrolcenter),
   (Applications, OPEN_MENU, "|| xdgmenumaker -n -f windowmaker"),
   (Run..., EXEC, xfrun4),
   ("Workspaces list", WORKSPACE_MENU),
diff -ru slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/GNUstep/Defaults/WindowMaker slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/GNUstep/Defaults/WindowMaker
--- slint-14.2/source/slint-user-settings/slint-user-settings/etc/skel/GNUstep/Defaults/WindowMaker	2016-11-18 22:40:29.000000000 +0100
+++ slint-testing/source/slint-user-settings/slint-user-settings/etc/skel/GNUstep/Defaults/WindowMaker	2017-07-26 23:39:01.000000000 +0200
@@ -1,61 +1,113 @@
 {
   FrameBorderColor = "#000000";
   FTitleColor = "#ffffff";
+  DontLinkWorkspaces = NO;
   LTCMaximizeKey = None;
   CycleIgnoreMinimized = NO;
+  MenuDisabledColor = "#7f7f7f";
+  LastWorkspaceKey = None;
+  MoveToWorkspace9Key = None;
+  IconTitleBack = "#000000";
+  PixmapPath = (
+    "~/GNUstep/Library/WindowMaker/Pixmaps",
+    "~/GNUstep/Library/WindowMaker/Backgrounds",
+    "~/GNUstep/Library/WindowMaker/CachedPixmaps",
+    "/usr/share/WindowMaker/Pixmaps",
+    "/usr/share/WindowMaker/Backgrounds",
+    "/usr/include/X11/pixmaps",
+    "/usr/share/pixmaps"
+  );
   MoveToPrevWorkspaceLayerKey = None;
   MiniwindowPreviewBalloons = NO;
   MouseForwardButtonAction = None;
   MoveToWorkspace7Key = None;
   RBCMaximizeKey = None;
+  DisableClip = YES;
+  IconificationStyle = none;
   WindowShortcut10Key = None;
   IconTitleColor = "#ffffff";
   MoveToWorkspace2Key = None;
   MouseWheelTiltAction = None;
-  IconPosition = blv;
+  MenuTitleColor = "#ffffff";
+  WindowShortcut3Key = None;
+  WindowRelaunchKey = None;
+  EnableWorkspacePager = NO;
   WindowShortcut4Key = None;
-  SnapEdgeDetect = 1;
+  IconPosition = blv;
+  AlignSubmenus = YES;
+  NoWindowOverDock = NO;
+  OmnipresentKey = None;
+  WorkspaceBack = (vgradient, "#ffffff", "#002255");
   LBCMaximizeKey = None;
+  SnapEdgeDetect = 1;
+  HighlightTextColor = "#000000";
+  WindowShortcut9Key = None;
   HelpBalloons = YES;
   WindowSnapping = NO;
   MoveResizeKey = None;
+  AutoArrangeIcons = YES;
   AppIconBalloons = NO;
+  ClipTitleColor = "#000000";
   FrameFocusedBorderColor = "#000000";
+  WindowTitleFont = "Sans:weight=200:pixelsize=12";
   MoveToWorkspace8Key = None;
+  RunKey = "Mod1+F2";
   LHMaximizeKey = None;
   MoveToPrevWorkspaceKey = None;
+  MoveToWorkspace6Key = None;
   MiniPreviewSize = 120;
+  MoveToWorkspace10Key = None;
   BHMaximizeKey = None;
   MouseBackwardButtonAction = None;
   CycleActiveHeadOnly = NO;
+  MoveToWorkspace1Key = None;
   IgnoreGtkHints = NO;
   WindowShortcut1Key = None;
+  ShowClipTitle = YES;
   RHMaximizeKey = None;
   FrameSelectedBorderColor = "#ffffff";
   THMaximizeKey = None;
+  DisableDock = YES;
+  Superfluous = NO;
+  WindowShortcut2Key = None;
   MoveToNextWorkspaceLayerKey = None;
   WorkspaceMapKey = None;
   DragMaximizedWindow = Move;
+  DoNotMakeAppIconsBounce = YES;
   MiniwindowTitleBalloons = YES;
+  MaximusKey = None;
   WindowShortcut7Key = None;
+  OpaqueResize = NO;
+  RaiseAppIconsWhenBouncing = NO;
+  WindowPlacement = center;
+  ResizeIncrement = 0;
+  CycleWorkspaces = YES;
+  WindowShortcut8Key = None;
   DisableAnimations = YES;
+  OpaqueMoveResizeKeyboard = NO;
   MoveToLastWorkspaceKey = None;
   GroupNextKey = None;
-  Attraction = NO;
+  MenuTextColor = "#000000";
   SingleClickLaunch = NO;
-  AntialiasedText = YES;
+  Attraction = NO;
   DisableBlinking = NO;
+  AntialiasedText = YES;
   MoveToWorkspace5Key = None;
   NewStyle = old;
   WorkspaceNameDisplayPosition = center;
   IconSize = 32;
   ScreenSwitchKey = None;
+  SnapCornerDetect = 10;
   MoveToNextWorkspaceKey = None;
+  HMaximizeKey = None;
   HighlightColor = "#ffffff";
   GroupPrevKey = None;
-  MinimizeAllKey = None;
+  WrapMenus = YES;
   MoveToWorkspace3Key = None;
+  MinimizeAllKey = None;
+  DisableDrawers = YES;
   CClipTitleColor = "#616161";
+  WindowShortcut5Key = None;
   HideOthersKey = None;
   IconPath = (
     "~/GNUstep/Library/Icons",
@@ -68,63 +120,11 @@
     "/usr/share/pixmaps"
   );
   WindowShortcut6Key = None;
+  BounceAppIconsWhenUrgent = NO;
+  ViKeyMenus = NO;
+  UTitleColor = "#000000";
   HighlightActiveApp = NO;
   CirculateRaise = YES;
-  DontLinkWorkspaces = NO;
-  MenuDisabledColor = "#7f7f7f";
-  LastWorkspaceKey = None;
-  IconTitleBack = "#000000";
-  PixmapPath = (
-    "~/GNUstep/Library/WindowMaker/Pixmaps",
-    "~/GNUstep/Library/WindowMaker/Backgrounds",
-    "~/GNUstep/Library/WindowMaker/CachedPixmaps",
-    "/usr/share/WindowMaker/Pixmaps",
-    "/usr/share/WindowMaker/Backgrounds",
-    "/usr/include/X11/pixmaps",
-    "/usr/share/pixmaps"
-  );
-  MoveToWorkspace9Key = None;
-  DisableClip = YES;
-  IconificationStyle = none;
-  MenuTitleColor = "#ffffff";
-  WindowShortcut3Key = None;
-  EnableWorkspacePager = NO;
-  WindowRelaunchKey = None;
-  AlignSubmenus = YES;
-  NoWindowOverDock = NO;
-  WorkspaceBack = (vgradient, "#ffffff", "#002255");
-  OmnipresentKey = None;
-  HighlightTextColor = "#000000";
-  WindowShortcut9Key = None;
-  AutoArrangeIcons = YES;
-  ClipTitleColor = "#000000";
-  WindowTitleFont = "Sans:weight=200:pixelsize=12";
-  RunKey = None;
-  MoveToWorkspace6Key = None;
-  MoveToWorkspace10Key = None;
-  MoveToWorkspace1Key = None;
-  ShowClipTitle = YES;
-  DisableDock = YES;
-  Superfluous = NO;
-  WindowShortcut2Key = None;
-  DoNotMakeAppIconsBounce = YES;
-  MaximusKey = None;
-  OpaqueResize = NO;
-  WindowPlacement = center;
-  RaiseAppIconsWhenBouncing = NO;
-  ResizeIncrement = 0;
-  CycleWorkspaces = YES;
-  WindowShortcut8Key = None;
-  OpaqueMoveResizeKeyboard = NO;
-  MenuTextColor = "#000000";
-  SnapCornerDetect = 10;
-  HMaximizeKey = None;
-  WrapMenus = YES;
-  DisableDrawers = YES;
-  WindowShortcut5Key = None;
-  UTitleColor = "#000000";
-  ViKeyMenus = NO;
-  BounceAppIconsWhenUrgent = NO;
   PTitleColor = "#ffffff";
   MoveToWorkspace4Key = None;
   RTCMaximizeKey = None;
Seulement dans slint-testing/source/slint-user-settings/slint-user-settings: usr
FINDETEXTE

rm -rf .config/xfce4/desktop
rm -rf .config/xfce4/xfwm4
rm -rf .config/autostart
rm -rf .config/orage
rm -f .fvwm/xdg_menu
rm -f .local/share/applications/defaults.list
rm -f .local/share/applications/slint-control-center.desktop
cp -rf /etc/skel/.config/lxpanel/LXDE .config/lxpanel
cp -rf /etc/skel/.config/pcmanfm .config
cp -f /etc/skel/.fluxbox/keys .fluxbox
cp -f /etc/skel/.fvwm/config.lxde .fvwm
cp -f /etc/skel/.fvwm/config.others .fvwm
cp -f /etc/skel/.local/share/applications/nm-applet.desktop .local/share/applications
cp -f /etc/skel/.local/share/applications/nm-connection-editor.desktop .local/share/applications
cp -f /etc/skel/.local/share/applications/qcontrolcenter.desktop .local/share/applications
cp -f /etc/skel/.bbkeysrc .
cp -rf /etc/skel/.qcontrolcenter .
)
echo "
All done. Good bye."



